import React, { Component } from "react";

import { connect } from "react-redux";
import * as actions from "../actions/school";
import Form from "../components/shkola";
import List from "../components/list";

class Shkolota extends Component {
	submit = e => {
		e.preventDefault();
		this.props.submitUser();
	};

	changeFieldHandler = e => {
		const { value, name } = e.target;

		this.props.changeField({ value, name });
	};

	render() {
		console.log("a", this.props.newChildren);
		console.log("b", this.props.backPack);
		return (
			<div>
				<List list={this.props.list} />
				<button onClick={this.props.addFieldInArr}>Add Item in backPack</button>
				<Form
					cahngeFieldInArr={this.props.cahngeFieldInArr}
					changeField={this.changeFieldHandler}
					submit={this.submit}
					backPack={this.props.backPack}
				/>
			</div>
		);
	}
}

const mapStateToProps = state => ({
	list: state.school.data,
	newChildren: state.school.newChildren,
	backPack: state.school.backPack
});

export default connect(
	mapStateToProps,
	actions
)(Shkolota);
